Skip to main content
GET
/
v1alpha1
/
inference
/
capacityclaims
/
{id}
Get capacity claim
curl --request GET \
  --url https://api.coreweave.com/v1alpha1/inference/capacityclaims/{id} \
  --header 'Authorization: Bearer <token>'
{
  "capacityClaim": {
    "spec": {
      "id": "<string>",
      "name": "<string>",
      "resources": {
        "instanceId": "<string>",
        "instanceCount": 123,
        "zones": [
          "<string>"
        ],
        "capacityType": "CAPACITY_TYPE_SERVERLESS"
      },
      "organizationId": "<string>"
    },
    "status": {
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "conditions": [
        {
          "type": "<string>",
          "lastUpdateTime": "2023-11-07T05:31:56Z",
          "reason": "<string>",
          "message": "<string>",
          "zone": "<string>",
          "status": "True"
        }
      ],
      "allocatedInstances": 123,
      "pendingInstances": 123,
      "status": "STATUS_CREATING"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.coreweave.com/llms.txt

Use this file to discover all available pages before exploring further.

Substitute {id} with the CapacityClaim ID returned from List capacity claims or Create capacity claim.
Example request
curl -X GET https://api.coreweave.com/v1alpha1/inference/capacityclaims/{id} \
       -H "Content-Type: application/json" \
       -H "Authorization: Bearer {API_ACCESS_TOKEN}"

Authorizations

Authorization
string
header
default:Bearer {API_ACCESS_TOKEN}
required

CoreWeave API access token sent as a bearer token.

Path Parameters

id
string
required

The unique identifier of the CapacityClaim to get, UUID format

Response

OK

Response for GetCapacityClaim

capacityClaim
object

The CapacityClaim

Last modified on May 14, 2026